<img src="images/IDSN-new-logo.png" width="300"/>


# Final Project: Scenario and Review Criteria
## **Estimated time needed:** 2+ hours


## Project Overview
In this final project, you will build and deploy a simple guestbook application. The application consists of a web front end which will have a text input where you can enter any text and submit. For all of these we will create Kubernetes Deployments and Pods. Then we will apply Horizontal Pod Scaling to the Guestbook application and finally work on Rolling Updates and Rollbacks.

## Review Criteria
After completing the hands-on lab: Build and Deploy a Simple Guestbook App, you will complete the peer-graded assignment and be graded on the following ten tasks.

For each of the ten tasks, provide a screenshot and upload the JPEG (.jpg) file for your peers to review when you submit your work.  

**Task 1:** Updation of the `Dockerfile`.  (**5 points**)

**Task 2:** The `guestbook` image being pushed to IBM Cloud Container Registry correctly. (**1 point**)

**Task 3:** Index page of the deployed `Guestbook – v1` application. (**2 points**)

**Task 4:** Horizontal Pod Autoscaler creation. (**1 point**)

**Task 5:** The replicas in the Horizontal Pod Autoscaler being scaled correctly. (**2 points**)

**Task 6:** The Docker build and push commmands for updating the `guestbook`.(**2 points**)

**Task 7:** Deployment configuration for autoscaling. (**1 point**)

**Task 8:** Updated index page of the deployed `Guestbook – v2` application after rollout of the deployment. (**2 points**)

**Task 9:** The revision history for the deployment after rollout of the deployment. (**2 points**)

**Task 10:** The udpated deployment after Rollback of the update. (**2 points**)

## Next Steps
Be sure to take screenshots as per review criteria as you follow the step-by-step instructions.

## Author(s)
Lavanya


## Changelog
| Date | Version | Changed by | Change Description |
|------|--------|--------|---------|
| 2021-05-01 | 0.1 | Lavanya | Initial version created |
| 2021-07-26 | 0.2 | K Sundararajan | Updated as per the new Final Project |
| 2021-08-02 | 0.3 | K Sundararajan | Added new IDSN logo |


## <h3 align="center"> © IBM Corporation 2020. All rights reserved. <h3/>

